cdac.medinfo.sdk.hl7282.baselibs

## Class NDL

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.NDL

- All Implemented Interfaces:
    IDataType

      public class NDL
      extends CompositeDataType

  NDL - Name with Date and Location

  This class represents the data type NDL which, Specifies the name of the person performing a service, when the person performed the service and where the person performed the service.

  Represents an HL7 NDL data type. This data type has the following attributes:

  1. Name Of Person (CNN)Optional
  2. Start Date/time (DTM)Optional
  3. End Date/time (DTM)Optional
  4. Point of Care (IS)Optional
  5. Room (IS)Optional
  6. Bed (IS)Optional
  7. Facility (HD)Optional
  8. Location Status (IS)Optional
  9. Patient Location Type (IS)Optional
  10. Building (IS)Optional
  11. Floor (IS)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDL()` Default Constructor for NDL
    `NDL(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for NDL class which takes two arguments and sets the value in the respective member variable.
    `NDL(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for NDL class which takes five arguments and sets the value in the respective member variable.
    `NDL(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for NDL class which takes six arguments and sets the value in the respective member variable.
    `NDL(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for NDL class which takes four arguments and sets the value in the respective member variable.
    `NDL(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for NDL class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `IS` | `getBed()` Returns Bed
    `IS` | `getBuilding()` Returns Building
    `DTM` | `getEndDatetime()` Returns End Date/time
    `HD` | `getFacility()` Returns Facility
    `IS` | `getFloor()` Returns Floor
    `IS` | `getLocationStatus()` Returns Location Status
    `CNN` | `getName()` Returns Name
    `IS` | `getPatientLocationType()` Returns Patient Location Type
    `IS` | `getPointOfCare()` Returns Point of Care
    `IS` | `getRoom()` Returns Room
    `DTM` | `getStartDatetime()` Returns Start Date/time
    `void` | `setBed(IS objIS)` Sets the Bed.
    `void` | `setBed(java.lang.String strBed)` Sets the Bed.
    `void` | `setBuilding(IS objIS)` Sets the Building.
    `void` | `setBuilding(java.lang.String strBuilding)` Sets the Building.
    `void` | `setEndDateTime(DTM objEndDateTime)` Sets the EndDateTime.
    `void` | `setEndDateTime(java.lang.String strEndDateTime)` Sets the EndDateTime.
    `void` | `setFacility(HD objFacility)` Sets the Facility.
    `void` | `setFloor(IS objIS)` Sets the Floor.
    `void` | `setFloor(java.lang.String strFloor)` Sets the Floor.
    `void` | `setLocationStatus(IS objIS)` Sets the LocationStatus.
    `void` | `setLocationStatus(java.lang.String strLocationStatus)` Sets the LocationStatus.
    `void` | `setName(CNN objName)` Sets the Name.
    `void` | `setPatientLocationType(IS objIS)` Sets the PatientLocationType.
    `void` | `setPatientLocationType(java.lang.String strPatientLocationType)` Sets the PatientLocationType.
    `void` | `setPointOfCare(IS objIS)` Sets the PointOfCare.
    `void` | `setPointOfCare(java.lang.String strPointOfCare)` Sets the PointOfCare.
    `void` | `setRoom(IS objIS)` Sets the Room.
    `void` | `setRoom(java.lang.String strRoom)` Sets the Room.
    `void` | `setStartDateTime(DTM objStartDateTime)` Sets the StartDateTime.
    `void` | `setStartDateTime(java.lang.String strStartDateTime)` Sets the StartDateTime.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NDL

          public NDL()

      Default Constructor for NDL

    - #### NDL

          public NDL(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for NDL class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NDL

          public NDL(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for NDL class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NDL

          public NDL(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for NDL class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NDL

          public NDL(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for NDL class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NDL

          public NDL(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for NDL class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setName

          public void setName(CNN objName)

      Sets the Name.
      Parameters:
        `objName` - Specifies the name of the person performing a service.

    - #### setStartDateTime

          public void setStartDateTime(java.lang.String strStartDateTime)

      Sets the StartDateTime.
      Parameters:
        `strStartDateTime` - Specifies the starting date and time for when the person is performing the service.

    - #### setStartDateTime

          public void setStartDateTime(DTM objStartDateTime)

      Sets the StartDateTime.
      Parameters:
        `objStartDateTime` - Specifies the starting date and time for when the person is performing the service.

    - #### setEndDateTime

          public void setEndDateTime(java.lang.String strEndDateTime)

      Sets the EndDateTime.
      Parameters:
        `strStartDateTime` - Specifies the ending date and time for when the person is performing the service.

    - #### setEndDateTime

          public void setEndDateTime(DTM objEndDateTime)

      Sets the EndDateTime.
      Parameters:
        `objEndDateTime` - Specifies the ending date and time for when the person is performing the service.

    - #### setPointOfCare

          public void setPointOfCare(java.lang.String strPointOfCare)

      Sets the PointOfCare.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.

    - #### setPointOfCare

          public void setPointOfCare(IS objIS)

      Sets the PointOfCare.
      Parameters:
        `objString` - Specifies the code for the point where patient care is administered.

    - #### setRoom

          public void setRoom(java.lang.String strRoom)

      Sets the Room.
      Parameters:
        `strRoom` - Specifies most general location designation.

    - #### setRoom

          public void setRoom(IS objIS)

      Sets the Room.
      Parameters:
        `objIS` - Specifies most general location designation.

    - #### setBed

          public void setBed(java.lang.String strBed)

      Sets the Bed.
      Parameters:
        `strBed` - Specifies the code for the patient's bed.

    - #### setBed

          public void setBed(IS objIS)

      Sets the Bed.
      Parameters:
        `objIS` - Specifies the code for the patient's bed.

    - #### setFacility

          public void setFacility(HD objFacility)

      Sets the Facility.
      Parameters:
        `objFacility` - Specifies site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.

    - #### setLocationStatus

          public void setLocationStatus(java.lang.String strLocationStatus)

      Sets the LocationStatus.
      Parameters:
        `strLocationStatus` - Specifies the code for the status or availability of the location.

    - #### setLocationStatus

          public void setLocationStatus(IS objIS)

      Sets the LocationStatus.
      Parameters:
        `objIS` - Specifies the code for the status or availability of the location.

    - #### setPatientLocationType

          public void setPatientLocationType(java.lang.String strPatientLocationType)

      Sets the PatientLocationType.
      Parameters:
        `strPatientLocationType` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.

    - #### setPatientLocationType

          public void setPatientLocationType(IS objIS)

      Sets the PatientLocationType.
      Parameters:
        `objIS` - Specifies the categorization of the location defined by facility, building, floor, point of care, room or bed.

    - #### setBuilding

          public void setBuilding(java.lang.String strBuilding)

      Sets the Building.
      Parameters:
        `strBuilding` - Specifies the code for the building where the person is located.

    - #### setBuilding

          public void setBuilding(IS objIS)

      Sets the Building.
      Parameters:
        `objIS` - Specifies the code for the building where the person is located.

    - #### setFloor

          public void setFloor(java.lang.String strFloor)

      Sets the Floor.
      Parameters:
        `strFloor` - Specifies the code for the floor where the person is located.

    - #### setFloor

          public void setFloor(IS objIS)

      Sets the Floor.
      Parameters:
        `objIS` - Specifies the code for the floor where the person is located.

    - #### getName

          public CNN getName()

      Returns Name
      Returns:
        CNN - data type.

    - #### getStartDatetime

          public DTM getStartDatetime()

      Returns Start Date/time
      Returns:
        TS - data type.

    - #### getEndDatetime

          public DTM getEndDatetime()

      Returns End Date/time
      Returns:
        TS - data type.

    - #### getPointOfCare

          public IS getPointOfCare()

      Returns Point of Care
      Returns:
        IS - data type.

    - #### getRoom

          public IS getRoom()

      Returns Room
      Returns:
        IS - data type.

    - #### getBed

          public IS getBed()

      Returns Bed
      Returns:
        IS - data type.

    - #### getFacility

          public HD getFacility()

      Returns Facility
      Returns:
        HD - data type.

    - #### getLocationStatus

          public IS getLocationStatus()

      Returns Location Status
      Returns:
        IS - data type.

    - #### getPatientLocationType

          public IS getPatientLocationType()

      Returns Patient Location Type
      Returns:
        IS - data type.

    - #### getBuilding

          public IS getBuilding()

      Returns Building
      Returns:
        IS - data type.

    - #### getFloor

          public IS getFloor()

      Returns Floor
      Returns:
        IS - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.